Subject: bug#19780: “User has no home directory”

From: [email-masked] (Ludovic Courtès)
Date: Tue, 13 Oct 2015 14:29:25 +0200

Ricardo Wurmus <[email-masked]> skribis:

> I can confirm that the error disappears when nscd is running.  Emacs no
> longer tells me
>
>     Error (initialization): User rwurmus has no home directory
>
> when starting it as long as nscd is running.
>
> I would like to note that the version of Emacs that is available through
> Fedora repositories does not need nscd to run (this is on the same
> machine).  The error only appears when nscd is not running and the Emacs
> installed via Guix is used.

Earlier, you wrote:

--8<---------------cut here---------------start------------->8---
It is mentioned in /etc/nsswitch.conf:

~~~~~~~
...
passwd:     files sss
shadow:     files sss
group:      files sss
services:   files sss
netgroup:   files sss
...
~~~~~~~
--8<---------------cut here---------------end--------------->8---

(See <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19780#74>.)

What happens is that libnss_sss.so was being loaded in your Emacs
process.  However, the Emacs process was linked against Guix’s libc,
whereas libnss_sss.so was linked against Fedora’s libc.  Hence the
crash.

When nscd is running, NSS extensions are loaded in the nscd process so
there is no such problem.

> Thanks for the help!  Now that I’m sure that this is not a general
> problem I can prepare to replace Fedora with GuixSD on my office
> workstation.

\o/

Thanks!

Ludo’.